ID of the group (hyphens optional).
Remove users from a group
Removes one or more users from the specified group. Pass a single-element array to remove one user.
Users not currently in the group are silently ignored (the operation is idempotent).
An empty user_ids array is accepted and is a no-op.
Requires the GROUPMANAGEMENT security role.
post
https://{your-bynder-domain}/api/1/groups/{groupId}/remove-users
Path Parameters
groupIdstring(uuid)required
Body
application/json
Body
application/json
GroupMembersInput
user_idsarray[string](uuid)required
IDs of the users to add or remove. An empty list is a no-op.
Response
application/json
Response
application/json
Users removed successfully.
GroupMembersResult
user_countinteger
Updated number of members in the group after the operation.
post/api/1/groups/{groupId}/remove-users
Authentication
Path Parameters
Body
{
"user_ids": []
}
application/json
Groups (Legacy)
Retrieve groups
Requires the GROUPMANAGEMENT security role.
get
https://{your-bynder-domain}/api/groups/list/
Query Parameters
search_termstring
Search on matching group names.
pageinteger
What page of results to return.
Default:1
limitinteger
Maximum results to return. If limit is not provided the first 20 results will be returned.
Default:20
sort_orderstring
Order of the returned list of groups.
Allowed values:ascdesc
Response
200 application/json
Response
200 application/json
Successful response
idstring
namestring
get/api/groups/list/
Authentication
Query Parameters
200 application/json
ErrorResponse
objectdetailobject
Show Child Parameters
Example
Group
objectdescriptionstring | null
idstring(uuid)
namestring
user_countinteger
Number of members in the group.
Example